// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class GetClearedAmountForByPartitionRequest extends ValidatedRequest {
    securityId;
    targetId;
    partitionId;
    constructor({ securityId, targetId, partitionId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            partitionId: FormatValidation.checkBytes32Format(),
        });
        this.securityId = securityId;
        this.targetId = targetId;
        this.partitionId = partitionId;
    }
}
